%% Model correction factors
par.K_h=0.7; % level correction factor
par.K_g=3.49E-2; % orifice of gas flow at low point
par.K_l=2.81E-1; % orifice of liquid flow at low point
par.CV_1=1.16E-2; % production choke constant
par.CV_3=3.30E-3; % wellhead choke valve constant

%% Constans
par.R=8314; % Universal gas constant [J/(kmol*K)]
par.g=9.81; % gravity [m/s^2]

%% Liquid and gas data
par.visc_liq=1.426E-4; % viscosity [Pa*s]
par.rho_liq=832.2; % liquid density [kg/m^3]
par.M_g=20; % gas molecular weight [gr]
par.roughness=45E-6;

%% Well data
par.T_w=369; % Well temperatur [K]
par.D_w=0.12; % Well diameter [m]
par.L_w=3000; % Well depth [m]
par.A_w=pi*(par.D_w/2)^2;
par.V_w=par.A_w*par.L_w; % Well volume [m^3]

%% Pipeline data
par.T_p=337; % Pipeline temperatur [K]
par.D_p=0.12; % pipeline diameter [m]
par.L_p=4300; % pipeline length [m]
par.A_p=pi*(par.D_p/2)^2;
par.V_p=par.A_p*par.L_p; % pipeline volume [m^3]
par.incl=1; % pipeline inclination in degrees
par.h_c=par.D_p/cos(par.incl*2*pi/360); % pipeline opening at riser base (critical)

%% Riser data
par.T_r=298.3; % riser temperatur [K]
par.D_r=0.1; % diameter riser [m]
par.L_r=300; % length riser [m]
par.L_h=100; % length horizontal riser [m]
par.A_r=pi*(par.D_r/2)^2;
par.V_r=par.A_r*par.L_r; % volume riser [m^3]
par.P_s=50.1E5; % separator pressure [bar]

%% Reservoir data
par.P_res=320E5; % reservoir pressure [bar]
par.PI=2.75E-6; % Productivity index [kg/(s*Pa)]
w_nom=9; % nominal mass flow from reservoir [kg/s]
par.w_nom=w_nom;
gor=0.04; % mass gas-liquid ratio
par.gor=gor;


