function [P_rt]= start(Z1)
%profile on

par = para();
time=6000;
d_1=0;

%% Create arrays for faster computing
Z1=ones(time,1)*Z1;
%u=ones(time,1)*0.9;
Z3=ones(time,1)*1;

%dm_dt=zeros(time,6);
P_wh=zeros(time,1);
w_liq_out=zeros(time,1);
w_gas_out=zeros(time,1);
%w_total=zeros(time,6);
w_out_mix=zeros(time,1);
P_in=zeros(time,1);

%% Controller - inner loop(w_mix)
Kp=0.003;
Ti=5;
Td=0;
sat=0;
int=0.09;
y_b=0;

%% Controller - outer loop(P_wh)
Kp2=-0.00001;
Ti2=400;
Td2=0;
sat2=0;
int2=14.4;
y_b2=0;
P_ref=7000000;

%%
m=par.m_init;
t0=1;
tend=2;
n=100;
tspan=linspace(t0,tend,n);
options=odeset('RelTol',1e-6,'Stats','on');
%%
m_init=par.m_init;

for k=1:time

[t,m_ode]=ode15s(@(t, m) pipeline_riser_ode(t, m, par, Z1(k), Z3(k), d_1), tspan, m_init);

m_init=(m_ode(length(m_ode),:))';

[dm_dt(k,:),P_wh(k),h(k),w_liq_out(k),w_gas_out(k),w_total(k,:), P_all(k,:),w_out_mix(k),P_rt(k)] = pipeline_riser(t,m_init,par,Z1(k),Z3(k),d_1);

% if (k>=0000 && k<4000) || k>10000
% [u(k+1),y_b2,int2,sat2]= controller2(Kp2,Ti2,Td2,P_wh(k),int2,y_b2,P_ref,sat2);
% [Z1(k+1),y_b,int,sat]= controller(Kp,Ti,Td,w_out_mix(k),int,y_b,u(k+1),sat);
% %[Z1(k+1)]=valve(u(k+1),Z1(k));
% else
%    Z1(k+1)=Z1(k);
% end
% 
% if k==1000
%    P_ref=6700000;
% end

% if mod(k,500)==0
%     d_1=2*(rand()-0.5);
% end

% 
% int2_plot(k)=int2;
%  if k<5000
%      Z1(k+1)=0.09;
%  elseif k<10000
%      Z1(k+1)=0.10;
%  elseif k<15000
%      Z1(k+1)=0.11;
%  elseif k<20000
%      Z1(k+1)=0.12;
% %  elseif k<25000
% %      Z1(k+1)=0.07;    
% %  elseif k<30000
% %      Z1(k+1)=0.08;
% %  elseif k<35000
% %      Z1(k+1)=0.09;
% %  elseif k<40000
% %      Z1(k+1)=0.10;
% %  elseif k<45000
% %      Z1(k+1)=0.11;
% %  elseif k<=50000
% %      Z1(k+1)=0.12;
% %  elseif k<=55000
% %      Z1(k+1)=0.13;
% %  elseif k<=60000
% %      Z1(k+1)=0.14;
% %  elseif k<=65000
% %      Z1(k+1)=0.15;
% %  elseif k<=70000
% %      Z1(k+1)=0.16;
% %  elseif k<=75000
% %      Z1(k+1)=0.17;
% %  elseif k<=80000
% %      Z1(k+1)=0.18;
%  end

     
m=[m;m_ode];

if k*100/time==round(k*100/time)
    clc
    disp(Z1(1))
    disp(k*100/time)
end

end


%% Displaying different data
% fig1=figure(1);
% subplot(3,2,1);  plot(m(:,1)),title('Mass of liquid in well'), grid
% subplot(3,2,2);  plot(m(:,2)),title('Mass of gas in well'), grid
% subplot(3,2,3);  plot(m(:,3)),title('Mass of liquid in pipe'), grid
% subplot(3,2,4);  plot(m(:,4)),title('Mass of gas in pipe'), grid
% subplot(3,2,5);  plot(m(:,5)),title('Mass of liquid in riser'), grid
% subplot(3,2,6);  plot(m(:,6)),title('Mass of gas in riser'), grid

% fig2=figure(2);
% subplot(2,2,1);  plot(P_wh),title('Wellhead Pressure'), grid;
% subplot(2,2,2);  plot(h),title('Height'), grid;
% subplot(2,2,3);  plot(P_in),title('Innlet Pressure'), grid
% subplot(2,2,4);  plot(w_gas_out),title('Mass flow gas out'), grid
% 
% fig3=figure(3);
% plot(Z1),title('Valve output'), grid;
% fig4=figure(4);
% plot(w_out_mix),title('Mixed volume flow out'), grid;

% fig5=figure(5);
% plotyy(linspace(1,length(w_out_mix),length(w_out_mix)),w_out_mix,linspace(1,length(Z1),length(Z1)),Z1)
% p = profile('info');
% profsave(p,'profile_results');

end